Subject: Re: Local Beijing people response - RE: Request for community guidance on issue concerning a future meeting of the IETF

From: Dave CROCKER <[email-masked]>
Date: Thu, 01 Oct 2009 09:04:05 -0700

Hui,

Hui Deng wrote:
> 1) I personally have attended several standardization meetings such as
> 3GPP and 3GPP2 in China, 

Many of us have attended meetings in China and we have found them productive and 
enjoyable.  However all of those other groups conduct their business in a way 
that is significantly different from the unruly style of the IETF.

>  
> 3) IETF is doing technical stuff, I don't see why we need to be involved 
> in political stuff.

This has been explained repeatedly.  First, there is legitimate technical work 
in the IETF that touches topics which are explicitly prohibited by the contract 
language.  Second, the style of IETF discussions often includes individual 
comments which are likely to violate the contract.  This unruly speech is a 
consequence of a core principle in the open style of IETF work.

> 4) China is one of the major member of United Nations, anyhow, come here 
> and see

Hui, this really has little to do with "China".

Rather, the problem is with contract language that I believe we would never 
accept for any other venue.

         The only reason we have a debate about this because
         we are so /eager/ to have an IETF meeting in China!

Some folk say that we should ignore the language in the draft contract, because 
it will not be enforced, except under extreme circumstances.  First, it is never 
appropriate for people signing a contract to assume that it won't be enforced, 
especially when they cannot really know the exact conditions that will cause it 
to be enforced.  (The term "fiduciary responsibility" covers this.) Second, 
these assurances are coming from people who cannot speak for the hotel or the 
government.  Hence, they are merely guessing.

Let's be specific:

>    "Should the contents of the Group's activities, visual or audio
>    presentations at the conference,or printed materials used at the
>    conference (which are within the control of the Client) contain

Note how extensive this is.  We are required to control material and speech by 
everyone, yet the IETF has never really controlled the material or speech of 
/anyone/.

>    any defamation against the Government of the People's Republic

Defamation is really a rather vague word, especially among most of us do not 
know how it is actually used in China.  (Let's be fair.  I suspect most of us do 
not know how it is used as a legal term in the US, or any other country...)
So we need to be afraid of violating this, without really knowing what is 
permitted and what is prohibited.

>    of China, or show any disrespect to the Chinese culture, or

Disrespect is an even more vague term and it is coupled with "culture" which 
could mean anything having to do with the country's government, history or 
population, and could even cover reference to Chinese people anywhere in the 
world.

Worse, comments made in the IETF are often disrespectful.  We wish they weren't, 
but again, this is a consequence of how the IETF conducts its business.  So the 
IETF really is being required to make guarantees that change its basic style of 
operation.

>    violates any laws of the People's Republic of China or feature

Language that says that we won't violate the host country's laws is, of course, 
not necessary -- the laws are the laws and anyone violating them has a problem, 
no matter whether it is referenced in the contract -- but it probably doesn't 
hurt to include it.  Or rather, the only reason to include it is to set the 
stage for the financial consequences, specified later...

>    any topics regarding human rights or religion without prior
>    approval from the Government of the People's Republic of China,

As has been noted by several folks, the IETF does work that necessarily requires 
discussing topics that are relevant to human rights.  And again, we also have 
the problem of trying to restrict spontaneous comments that might violate these 
conditions; yet we have never done that.

>    the Hotel reserves the right to terminate the event on the spot
>    and/or ask the person(s) who initiates or participates in any or
>    all of the above action to leave the hotel premises immediately.

This gives the Hotel complete freedom to shut the meeting down according to its 
own interpretation of conditions that are extremely vague.  That's not a 
reasonable contract condition for us to agree to.  (Here's where "fiduciary 
responsibility" becomes the real focus, when making an agreement.)

>    The Client will support and assist the Hotel with the necessary
>    actions to handle such situations. Should there be any financial
>    loss incurred to the Hotel or damage caused to the Hotel's
>    reputation as a result of any or all of the above acts, the Hotel
>    will claim compensation from the Client." 

Again, this appears to make us financial responsible for the hotel's actions. 
And the financial exposure is not limited.  We cannot reasonably know how large 
the financial risk is.

Some folk keep noting that the agreement is with the host, not the IETF. 
Nonetheless, it is the IETF that is expected to honor the conditions of the 
agreement.  So the IETF must decide whether is /can/ and /should/ agree to such 
conditions.

Would the IETF agree to such contract language were the meeting to be in 
Singapore, Amsterdam or Seattle?  I believe we wouldn't.

The problem, here, is with contract language, not a country's culture or government.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Steve Crocker <[email-masked]>
Date: Thu, 1 Oct 2009 12:27:07 -0400

Dave,

Are you suggesting the IETF is not mature enough to meet in China?   
After watching this thread for a while, I am beginning to be convinced.

Steve

On Oct 1, 2009, at 12:04 PM, Dave CROCKER wrote:

> Many of us have attended meetings in China and we have found them  
> productive and enjoyable.  However all of those other groups conduct  
> their business in a way that is significantly different from the  
> unruly style of the IETF.
>
>> 3) IETF is doing technical stuff, I don't see why we need to be  
>> involved in political stuff.
>
> This has been explained repeatedly.  First, there is legitimate  
> technical work in the IETF that touches topics which are explicitly  
> prohibited by the contract language.  Second, the style of IETF  
> discussions often includes individual comments which are likely to  
> violate the contract.  This unruly speech is a consequence of a core  
> principle in the open style of IETF work.
>
>
>> 4) China is one of the major member of United Nations, anyhow, come  
>> here and see
>
> Rather, the problem is with contract language that I believe we  
> would never accept for any other venue.
>
> Some folk say that we should ignore the language in the draft  
> contract, because it will not be enforced, except under extreme  
> circumstances.  First, it is never appropriate for people signing a  
> contract to assume that it won't be enforced, especially when they  
> cannot really know the exact conditions that will cause it to be  
> enforced.  (The term "fiduciary responsibility" covers this.)  
> Second, these assurances are coming from people who cannot speak for  
> the hotel or the government.  Hence, they are merely guessing.
>
> Let's be specific:
>
> Note how extensive this is.  We are required to control material and  
> speech by everyone, yet the IETF has never really controlled the  
> material or speech of /anyone/.
>
>
> Defamation is really a rather vague word, especially among most of  
> us do not know how it is actually used in China.  (Let's be fair.  I  
> suspect most of us do not know how it is used as a legal term in the  
> US, or any other country...)
> So we need to be afraid of violating this, without really knowing  
> what is permitted and what is prohibited.
>
>
> Disrespect is an even more vague term and it is coupled with  
> "culture" which could mean anything having to do with the country's  
> government, history or population, and could even cover reference to  
> Chinese people anywhere in the world.
>
> Worse, comments made in the IETF are often disrespectful.  We wish  
> they weren't, but again, this is a consequence of how the IETF  
> conducts its business.  So the IETF really is being required to make  
> guarantees that change its basic style of operation.
>
>
> Language that says that we won't violate the host country's laws is,  
> of course, not necessary -- the laws are the laws and anyone  
> violating them has a problem, no matter whether it is referenced in  
> the contract -- but it probably doesn't hurt to include it.  Or  
> rather, the only reason to include it is to set the stage for the  
> financial consequences, specified later...
>
>
> As has been noted by several folks, the IETF does work that  
> necessarily requires discussing topics that are relevant to human  
> rights.  And again, we also have the problem of trying to restrict  
> spontaneous comments that might violate these conditions; yet we  
> have never done that.
>
>
> This gives the Hotel complete freedom to shut the meeting down  
> according to its own interpretation of conditions that are extremely  
> vague.  That's not a reasonable contract condition for us to agree  
> to.  (Here's where "fiduciary responsibility" becomes the real  
> focus, when making an agreement.)
>
>
> Again, this appears to make us financial responsible for the hotel's  
> actions. And the financial exposure is not limited.  We cannot  
> reasonably know how large the financial risk is.
>
> Some folk keep noting that the agreement is with the host, not the  
> IETF. Nonetheless, it is the IETF that is expected to honor the  
> conditions of the agreement.  So the IETF must decide whether is / 
> can/ and /should/ agree to such conditions.
>
> Would the IETF agree to such contract language were the meeting to  
> be in Singapore, Amsterdam or Seattle?  I believe we wouldn't.
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: Dave CROCKER <[email-masked]>
Date: Thu, 01 Oct 2009 09:54:41 -0700

> After watching this thread for a while, I am beginning to be convinced.

Wow. No. In fact, it completely misses what I said.

Given how thoroughly I parsed the problems with the contract language, this is 
surprising.

You have apparently confused a diligent willingness to cite the realities of the 
IETF's dynamic range of behavior, and history of unfiltered speech, with 
criticism of it.  And you have ignored the bulk of my comments, which were about 
the inherent problems in the contract terms.

To repeat:  What I said was that these are unreasonable contract terms.

They are unreasonable for any venue.

As for your own reaction to the overall thread, perhaps that accounts for your 
reading of my note.  By contrast, I've been impressed with the proportion of 
serious postings.  They have explored the topic in different and conflicting 
ways, but they've been serious.

Early in the thread, I noted that contract terms which dictated that we must 
dress in a business style (coats and ties for men, skirts for women) would be 
just as unacceptable.  All sorts of conditions that might be reasonable for 
other groups are inappropriate for the IETF.

Contract terms which impose constraints that do not fit a group's culture and 
operation are unreasonable.  Contract terms which specify vague conditions are 
unreasonable.  Contract terms which specify open-ended liabilities are unreasonable.

Whether some aspect of the IETF might also be unreasonable isn't part of this 
thread, IMO.  We are what and who we are and it isn't going to change for one 
meeting.

Nor am I suggesting that this aspect of the IETF needs to change. But then, I'm 
always reticent to criticize the IETF...

d/

-- 

   Dave Crocker

---

From: "Scott Lawrence" <[email-masked]>
Date: Thu, 01 Oct 2009 13:17:08 -0400

On Fri, 2009-09-18 at 11:42 -0400, Marshall Eubanks wrote:

> The rule is implemented in the Hotel agreement and reads (note that
> the "Client" would be the Host, and the "Group" would be the IETF) :
> 
> What does this condition mean ? The hotel staff would have, in theory,
> the legal right to shut down the meeting and ask the offending
> participants to leave the property immediately. While we do not
> foresee a situation where such action would take place, we feel that
> it is proper to disclose these conditions to the community.

Apologies if this point has been made elsewhere in this rather long
thread, but I didn't see it in the parts that I have read....

This contract condition creates a denial of service attack on the IETF
itself.  

An individual or small group who either wishes to create a media event
or who wishes to disrupt (for any reason at all) the progress of the
meeting or of some IETF Working Group can do so by taking actions
designed to trigger this clause sufficiently publicly that it is not
ignored.  Whether or not such an attempt would succeed, the mere threat
of such an action could itself disrupt the normal IETF processes, and
consume the attention of leadership who should be focusing on allowing
the technical work to proceed.

I would very much like to acknowledge the contributions of our Chinese
participants, and think that holding meetings in the Peoples Republic
would be a fine thing, but I consider the potential for disruption and
distraction to be too high to be acceptable.

I like the idea of exploring possible alternative venues such as Hong
Kong that might finesse this problem.

---

From: Ole Jacobsen <[email-masked]>
Date: Thu, 1 Oct 2009 10:23:38 -0700 (PDT)

Scott,

Your comments align very much with others that we have received 
privately, on the list, or through the survey. All of it is being
considered very seriously and you can expect a progress report
soon.

As for alternative venues: since most IETF meetings depend on a
host, we're not in a position to "finesse" (to use your term)
the problem by going to a different location in the same region.
(Ignoring the fact that venues in Hong Kong for example are 
booked many years in advance of any event).

Ole

Ole J. Jacobsen
Editor and Publisher,  The Internet Protocol Journal
Cisco Systems
Tel: +1 408-527-8972   Mobile: +1 415-370-4628
E-mail: [email-masked]  URL: http://www.cisco.com/ipj

---

From: Michael Dillon <[email-masked]>
Date: Thu, 1 Oct 2009 22:59:04 +0100

> Some folk say that we should ignore the language in the draft contract,
> because it will not be enforced, except under extreme circumstances.  First,
> it is never appropriate for people signing a contract to assume that it
> won't be enforced, especially when they cannot really know the exact
> conditions that will cause it to be enforced.  (The term "fiduciary
> responsibility" covers this.) Second, these assurances are coming from
> people who cannot speak for the hotel or the government.  Hence, they are
> merely guessing.

This is true, however there is another path that could be taken. Let the host
sign the contract. Then, engage with the PRC government, explain the situation
to them, and ask them to help avoid an embarrassing situation by providing
assurances in writing, to the IETF, the hotel and the host, that the government
does not support/encourage taking actions against the IETF in reaction to the
actions of some individuals. If individuals break the laws and violate
the customs
of China, let them bear the full brunt of the law, but not the IETF.

Obviously this is not an easy path to take because it takes a lot of patience
and probably many failed attempts at contacting someone in authority who
is willing to seriously dialogue with the IETF. You could try talking to the
Beijing police, you could try asking the hotel and the host for their government
contacts, and you could try working through various PRC embassies.

But the bottom line is that if the IETF does agree to Beijing and the contract
is signed and some incident takes place at the meeting, and the hotel or
government shut down the entire IETF meeting as a result, it would be a great
embarrassment to the People's Republic of China.

Having said that, I've no doubt that the PRC government already has some idea
who could prove to be an embarrassment and those people will not get their
visas delivered in time to go to the meeting. But it is still worth
having the dialogue
with the PRC government.

--Michael Dillon

---

From: Stephan Wenger <[email-masked]>
Date: Thu, 01 Oct 2009 15:47:44 -0700

Hi,

> of China, let them bear the full brunt of the law, but not the IETF.

First, as you mention further down in your email (reproduced in full below),
its unlikely that PRC officials will take position. However, once the
contract is signed, there are likely significant cancellation penalties
which the IETF would have to absorb, in the case we decided to cancel the
meeting ourselves (for example due to the lack of government assurances).
That is why assurances have to be there first, and only then contracts
should be signed.  If we could cancel our meeting ourselves based on the
government input (or lack thereof), at any time and without negative
repercussions to the IETF or to the host, it would be a good strategy to
follow.  (But I would still be careful, due to the two points below.)

Second, even if there were assurances, there is evidence that the PRC has
not lived up to those in the recent past, at least not to the extend
outsiders were expecting.  I'm talking about freedom of the press/censorship
issues during the Olympics, that *included* censorship of Internet traffic.
The PRC interpretation of assurances given to the IOC, and the resulting
actions against the Internet and the press during the Olympics, were very,
very questionable to me (and, I believe, to the majority of the Western
press).  

Third, given the tight alignment of the PRC's executive and judicative
branches, it is unlikely that an outsider would have any likelihood of
success when considering an "appeal" to any executive decision.

Fourth,
> having the dialogue with the PRC government.

A visa policy as described, by itself, constitutes to me a reason for not
even considering a meeting in that country.

(Please note that I'm not saying that the PRC has such a visa policy.  I
don't know.) 

Regards,
Stephan

---

From: Hui Deng <[email-masked]>
Date: Fri, 2 Oct 2009 22:53:53 +0800

Dave,

Thanks for your clarification, now I understand this has converged to
a more contract language issue.
At this stage, I may not be able to help on the detail languages since
I guess the hoster or IAOC already
have been deeply involved in it.

Anyhow, I apprecaite that you make everybody more clear on it, thanks.
Lastly, I think that everybody have to self-censor about what he does.

Thanks for the discussion

-Hui

2009/10/2 Dave CROCKER <[email-masked]>:
> Many of us have attended meetings in China and we have found them productive
> and enjoyable.  However all of those other groups conduct their business in
> a way that is significantly different from the unruly style of the IETF.
>
> This has been explained repeatedly.  First, there is legitimate technical
> work in the IETF that touches topics which are explicitly prohibited by the
> contract language.  Second, the style of IETF discussions often includes
> individual comments which are likely to violate the contract.  This unruly
> speech is a consequence of a core principle in the open style of IETF work.
>
>
> Note how extensive this is.  We are required to control material and speech
> by everyone, yet the IETF has never really controlled the material or speech
> of /anyone/.
>
>
> know how it is actually used in China.  (Let's be fair.  I suspect most of
> us do not know how it is used as a legal term in the US, or any other
> country...)
> Worse, comments made in the IETF are often disrespectful.  We wish they
> weren't, but again, this is a consequence of how the IETF conducts its
> business.  So the IETF really is being required to make guarantees that
> change its basic style of operation.
>
>
> Language that says that we won't violate the host country's laws is, of
> course, not necessary -- the laws are the laws and anyone violating them has
> a problem, no matter whether it is referenced in the contract -- but it
> probably doesn't hurt to include it.  Or rather, the only reason to include
> it is to set the stage for the financial consequences, specified later...
>
>
> As has been noted by several folks, the IETF does work that necessarily
> requires discussing topics that are relevant to human rights.  And again, we
> also have the problem of trying to restrict spontaneous comments that might
> violate these conditions; yet we have never done that.
>
>
> This gives the Hotel complete freedom to shut the meeting down according to
> its own interpretation of conditions that are extremely vague.  That's not a
> actions. And the financial exposure is not limited.  We cannot reasonably
> know how large the financial risk is.
>
> agreement.  So the IETF must decide whether is /can/ and /should/ agree to
> such conditions.
>

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 5 Oct 2009 11:07:42 -0600

On Sep 24, 2009, at 9:43 AM, Ole Jacobsen (ole) wrote:

>
> >
> > Does your above response mean that the host would not consider
> > slides and oral presentations made during working group sessions to
> > be part of "the Group's activities, visual or audio presentations at
> > the conference"? Or does your response mean that the host is going
> > to take the risk of having the event terminated for reasons having
> > to do with slide or presentation content that was not pre-approved
> > by the government? Or does it mean that you do not think that the
> > content of working group sessions falls under the category of
> > "topics regarding human rights"?
> >
> > Thanks much.
> > Alissa
> >

Dear IAOC,

The questions from the chair of Geopriv WG which is the WG in RAI most  
likely to have problems meeting in China are fairly relevant in  
determining if we can run a "business as usual" meeting in China. I  
would greatly appreciate the IAOC reposing to them so we can plan  
appropriately.

Thank you,
Cullen <send in my RAI AD role>

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 5 Oct 2009 11:07:51 -0600

I have done a little digging around on the questions I asked and  
thought I might summarize some of the responses I got back to my email.

More inline .... Note all the comments below do not refer to the  
"Special Administrative Regions". I strongly support Ted's suggestion  
that running the meeting in one of theses zones would eliminate the  
concerns I have raised.

On Sep 23, 2009, at 9:45 PM, Cullen Jennings (fluffy) wrote:

>
> IAOC,
>
> I'm trying to understand what is political speech in China. The
> Geopriv WG deals with protecting users' location privacy. The policies
> of more than one country have come up in geopriv meetings in very
> derogatory terms. There have been very derogatory comments made by
> people about the US's wiretap policy. Unless someone can point me at
> specifics of what is or is not OK, I would find this very concerning.
> We also regularly discuss issues around Taiwan/China, cryptography,
> wiretap, DNS root server location, reverse engineering, and so on.
> Clearly most the people involved with IETF would never want to break
> the laws of the country they are visiting but the question is do we
> actually understand the laws and what impact do they have on our
> technical work? To help us make informed decision about whether these
> terms are issues or not:
>
> 1) What is political speech in China? And can we explain that to IETF
> participants well enough that they know what is OK and what is not.
>

Got a few reposes to this - none very solid but they seemed generally  
along the lines of "If you are looking for something crisp, forget it"
>
> 2) Are there any special rules about publishing and broadcasting? I
> note that the IETF, unlike most other groups having meetings,
> broadcasts the meetings live over the internet, which will be both
> publishing the material and exporting it outside of the PRC.
>

Got answer from non legal person of yes you need a license for this  
but they could not point me to the actually regulations. Still hoping  
to get a better answer. Hs the IAOC got legal advice on this?

>
> 3) Are there any rules around discussion, publication, or export of of
> cryptography algorithms and technology? publishing weaknesses of
> national crypto algorithms?
>

The advice I got was that unless we got a license if the IETF  
developed crypto in China and we exported it out, then this would be  
illegal in PRC. It was pointed out PRC is not part of  Wassenaar  
Arrangement. I was advised our broadcasts of and export of minutes  
from meetings would be "Deemed Export". It seems pretty hard to argue  
that the IETF does not develop any crypto.  Has the IAOC received any  
legal advice on this?
>
> 4) Many of our participants use communications products (like jabber
> clients) that they helped develop and include strong cryptography. Do
> they need permission to use these in China?
>

One person with what I view as a reasonable background in PRC law told  
me this would be illegal and violate State Council Order No. 273,  
"Commercial Use Password Management Regulations" among other things.  
The "clarification letter" does not seem to change this. It seems this  
would be illegal there without a license. Has the IAOC received legal  
advice on how this  impacts us.

>
> 5) When discussing what I think of as technical issues, many
> participants regularly treat Taiwan and PRC as two different countries
> and currently recognize both of them as separate countries in their
> own right. I'd actually venture a guess that there is strong IETF
> consensus they should be treated this way.  Could any discussions like
> this be viewed as political speech? What are the rules on this?
>
Still gathering data on this one. If you know something, let me know.  
I heard a rumor that on our registration form, when we asked what  
country you are from, we would not be allowed to ask Taiwan or PRC.  
Does anyone know any truth value to this rumor?

>
> 6) It is not core to IETF work but some of us do some interop of
> running code for IETF protocols under development sometimes at IETF.
> This would be about the right timing for running P2PSIP code, but that
> requires us to to run a local CA. Is any special permission needed to
> run a CA in China?
>

A license is needed to run a CA in PRC. What we normally do would be  
illegal there.

>
> 7) Would we be OK running a BOF on techniques for firewall advancement
> in general and in particular on getting around any firewalls China
> runs? [Seriously, you know someone will propose this BOF, the
> questions is could we run it or not?]
>

Answer I got was discussion of security policies of PRC's firewall and  
methods to get around it would definitely not be OK to discuss. Two of  
the many problems would be:

1) this is defamatory towards the state agency that run the firewalls
2) this could be considered release of state secrets

Answer seemed pretty solid that this topic was not one that most  
people would consider a really bad idea to discuss in PRC.

>
> 8) Given the Chairs for WG set the agendas and such, I am assuming
> that a reasonable person would consider all the presentation done by
> presenters at the front of the room to be things that are under
> control of the client. Is this the assumption the IAOC is working
> under too?
>
>
> 9) What is the IETF's potential liability here. If the meeting was
> canceled on Monday, everyone checked out of hotels early and paid a
> one day change fee, would the IETF be responsible for the hotel's loss
> of revenue for the Wednesday through Friday nights?
>
> 10) If the meeting is canceled, will the IETF be reimbursing the
> registration fees?
>
> 11) Given the IETF would be depending on the actions of the
> participants of the meeting to meet the contract, it would seem very
> prudent to me to make sure that each participant agreed to this. Will
> you be asking each participant to sign an agreement agreeing to these
> terms?
>
>
Really love to hear the IAOC thoughts on this one ....

> 12) Do you all feel like you need a beer yet?
>
> I'm trying to get to the bottom about what is legal and what is not in
> the PRC.  Ignorance is not an excuse for the law in any country and
> when I don't know if something is legal or not, I don't do it.
>
As an interesting side note, it seems that some people think that many  
of these things are officially illegal but they are fine to do anyway  
because other meetings are doing them etc. This is not a position I  
share and more importantly, it is not a position where I am willing to  
ask our WG Chairs, authors, and other volunteers to do something  
illegal because it will all be fine. Even if there are no short term  
consequences, I can imagine a case where 10 years later someone is  
seeking security clearance and this comes back to bite them.

> Right
> now I am looking for input from knowledgeable people on these
> questions. I imagine the IAOC has looked into many of these and would
> appreciate understanding what you have found.
>
> Thanks, Cullen
>
>
>

The answer I have got are very disturbing from a legal point of view.  
I believe the IAOC has received requirements front the IESG around the  
minimum things needed for a meeting.  For the IAOC to understand if  
they can meet these requirements, I believe IAOC needs to get legal  
advice from a PRC lawyer around if the questions I am asking about  
certain discussions being legal or not in PRC and make the results of  
that advice public. Anything less would be in my view a failure of  
their fiduciary responsibilities. The advice I have gotten so far has  
not been advice from definite experts that I am sure is correct so I  
am hesitant to rely on it too strongly but so far it has indicated  
that some of  these things all are  not legal in the PRC but clearly  
the IAOC should get to the bottom of this before making a decision and  
inform the community of what they learn so that individual can make  
informed decisions about their own attendance.

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 5 Oct 2009 11:16:41 -0600

+1 to Adrian's suggestion. I'd love to hear from people who live in  
the PRC about any of the legal questions I have raised. Using specific  
previous IETF discussions seems a fine way to look at it in a very  
concrete way.

So far I have heard in private from more than one person that is not  
willing to comment publicly. Roughly what I have been hearing is "yes  
it is illegal, no you won't be arrested for it." If that is the  
answer, I can certainly understand why no one wants to put it out on a  
public list.

On Sep 20, 2009, at 12:51 PM, Adrian Farrel wrote:

> On Sep 20, 2009, at 12:37 PM, Michael StJohns wrote:
>
>> I'd be happy to have a WG meeting in the PRC - on topics other  
>> than  those common to the security area, but I remain concerned  
>> about  prior restraint for the IETF as a whole as a price of  
>> holding a  meeting there.
>
> I wonder if we could ask. Is that too simple?
>
> We have plenty of minutes of previous meetings, slidesets, and I-Ds/ 
> RFCs. We even have audio recordings.
>
> There have been loads of Chinese nationals at the meetings who could  
> comment.
>
> Can we find out in advance whether the material is even close to  
> being an issue to the Chinese government?
>
> My guess is that it would not be and that clearing the air in this  
> way would be welcomed.
>
> Thanks,
> Adrian

---

From: Ole Jacobsen <[email-masked]>
Date: Mon, 5 Oct 2009 10:42:44 -0700 (PDT)

Cullen,

I will only answer #5 here, since I am not a lawyer (the rest will 
have to wait for now):

Most organizations, including the IETF, asks for ISO-3166 codes on the 
registration form. Not all those codes are necessarily "countries" by 
some other countries' definition, or even by the definition in that 
document. We are certainly allowed to ask "where are you from" and we 
even have a "other" field in case the pull-down is incomplete.

This particular concern is not an issue. Public demonstrations 
regarding the underlying issues might be.

Ole

Ole J. Jacobsen

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 05 Oct 2009 10:45:58 -0700

Cullen Jennings wrote:
> 
> I have done a little digging around on the questions I asked and thought 
> I might summarize some of the responses I got back to my email.
> 

Cullen,

At its base, your exercise seems to be an effort at doing the IAOC's job for it. 
  It's their job to research venue details and make choices and to ensure the 
logistics for productive IETF meetings.  The IETF as a body is not likely to 
become experts in the details of holding a meeting in China.  Nor is it our job to.

The IAOC came to us with a very specific question.  To the extent we pursue 
other questions, we dilute the help we can give them to resolve this one, 
difficult issue that they've asked us about.  By virtue of the public ruckus a 
debate on the IETF list can cause, it also could de-stabilize the considerable 
10-year effort that has been put in, to get arrangements to their current point.

It's not that suggesting paths for resolving the issue they raised is 
unproductive or inappropriate.  It's that pursuing ancillary details, paths and 
issues is.

The suggestion to have the meeting in a China SAR has already been made. 
Whether it can pragmatically resolve the issue we've been asked about is 
something the IAOC can juggle best.

If the goal of your effort is to review and change IAOC responsibilities or 
procedures for site selection and event management, then that ought to be 
pursued independently of the China meeting discussion.

d/

-- 

   Dave Crocker

---

From: Ole Jacobsen <[email-masked]>
Date: Mon, 5 Oct 2009 10:50:15 -0700 (PDT)

And just to be 100% clear: Holding the meeting in Hong Kong is not an 
option for the current discussion. There is neither a host nor a venue 
available there for the time period in question. It is entirely 
possible, I will even go so far as to say "probable," that we indeed 
WILL meet in Hong Kong some day, but that isn't what the current 
discussion is about.

Ole

Ole J. Jacobsen

---

From: John C Klensin <[email-masked]>
Date: Mon, 05 Oct 2009 14:09:27 -0400

--On Monday, October 05, 2009 10:45 -0700 Dave CROCKER
<[email-masked]> wrote:

> Cullen Jennings wrote:
>> 
>> I have done a little digging around on the questions I asked
>> and thought  I might summarize some of the responses I got
>> back to my email.
>> 
>> More inline .... Note all the comments below do not refer to
>> the  "Special Administrative Regions". I strongly support
>> Ted's suggestion  that running the meeting in one of theses
>> zones would eliminate the  concerns I have raised.
> 
> 
> Cullen,
> 
> At its base, your exercise seems to be an effort at doing the
> IAOC's job for it.   It's their job to research venue details
> and make choices and to ensure the logistics for productive
> IETF meetings.  The IETF as a body is not likely to become
> experts in the details of holding a meeting in China.  Nor is
> it our job to.
> 
> The IAOC came to us with a very specific question.  To the
> extent we pursue other questions, we dilute the help we can
> give them to resolve this one, difficult issue that they've
> asked us about.  By virtue of the public ruckus a debate on
> the IETF list can cause, it also could de-stabilize the
> considerable 10-year effort that has been put in, to get
> arrangements to their current point.
>...

Dave, I disagree, at least slightly, but that is because I
suffer from a concern --documented in a "request for review" and
previous notes to this list-- that the IAOC/Trustees are _not_
doing their job, or at least the part of that job that requires
keeping the community informed about the decisions they are
making and the reasons for them.

In Cullen's situation, I would have asked the questions a little
differently.  And I agree that he is trying to do their job for
them, but, other than more "requests for review" that get
responses that amount to "things are Under Control and Just
Fine", I don't know what else I would suggest that he do... and
wonder what you would suggest.

Suppose he posted a list of questions to which he thought we
should have answers before we put a meeting in any location that
has a reputation (justified or not) for regulating the free flow
of information, asked whether the IAOC had answers to those
questions for a particular case, and, if they did, that they
share those answers with the community?  I think that would be
reasonable and that the IAOC could reasonably respond to such a
question by saying "yes, similar questions were asked, we think
the answers are reasonable, and the discussion is documented in
the IAOC Minutes of ...".   Except that he did ask, hasn't
gotten an answer like that and, by the way, there are no minutes
of enough substance to be pointed to on that (or any other)
issue.

What is to be done?

    john

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 5 Oct 2009 12:30:11 -0600

On Oct 5, 2009, at 11:53 AM, John C Klensin wrote:

> Cullen,
>
> For purposes of discussion, one comment below and one addition
> to your list...
>
> --On Monday, October 05, 2009 11:07 -0600 Cullen Jennings
> <[email-masked]> wrote:
>
> > and thought I might summarize some of the responses I got back
> > to my email.
>
> >...
> >> 3) Are there any rules around discussion, publication, or
> >> export of of cryptography algorithms and technology?
> >> publishing weaknesses of national crypto algorithms?
> >>
> >
> > developed crypto in China and we exported it out, then this
> > would be illegal in PRC. It was pointed out PRC is not part of
> > Wassenaar Arrangement. I was advised our broadcasts of and
> > export of minutes from meetings would be "Deemed Export". It
> > seems pretty hard to argue that the IETF does not develop any
> > crypto.  Has the IAOC received any legal advice on this?
>
> Another piece of this question is whether PGP (or CACert)
> key-signing activities, with signed private keys being taken out
> of the country afterwards, would violate any law or require a
> license.  I had previously assumed that the answer would be
> "no", but the answers you have given to this question, the
> P2PSIP/CA one, and maybe others, leads me to wonder a bit.
>

The PGP Key signing is a good question - I have no idea - it's  
certainly something we have done in the past but if it is not legal in  
the PRC, I could live with a meeting where we did not do any PGP key  
signing. It detracts a bit from the meeting but is not in what I  
consider the mediatory must have core of the meeting. Of course this  
would mean that a group of people that did not often travel out of the  
PRC would be missing a great opportunity to sign with a group of  
people outside of China which I view as one of the benefits of having  
a meeting in Beijing.
>
> >> 7) Would we be OK running a BOF on techniques for firewall
> >> advancement in general and in particular on getting around
> >> any firewalls China runs? [Seriously, you know someone will
> >> propose this BOF, the questions is could we run it or not?]
> >
> > Answer I got was discussion of security policies of PRC's
> > firewall and methods to get around it would definitely not be
> > OK to discuss. Two of the many problems would be:
> >
> > Answer seemed pretty solid that this topic was not one that
> > most people would consider a really bad idea to discuss in PRC.
>
> Too many negatives in that sentence for me to parse.  Did you
> mean "was one that ...bad idea to discuss" or "ok to discuss"?
>

Oops - sorry. I meant to try and say, that most the people I had  
talked to advised me *not* to have any such discussion in PRC.
>
> >> 10) If the meeting is canceled, will the IETF be reimbursing
> >> the registration fees?
>
> That question may have an answer under US or European law (and
> probably other places): if someone paid the registration fee for
> a meeting, and paid for non-refundable airline tickets, hotel
> room, etc., on the basis of a good-faith assumption that the
> meeting would be held, would he or she have the right to a
> reasonable expectation of recovering those costs if the meeting
> were called off?  Called off on any basis other than what I
> believe some lawyers call an Act of God?  If the IAOC has gotten
> legal advice on this --from the IAOC's point of view, IASA's
> liability to participants if a meeting were cancelled-- could
> that advice be shared.
>
> > As an interesting side note, it seems that some people think
> > that many of these things are officially illegal but they are
> > fine to do anyway because other meetings are doing them etc.
> > This is not a position I share and more importantly, it is not
> > a position where I am willing to ask our WG Chairs, authors,
> > and other volunteers to do something illegal because it will
> > all be fine. Even if there are no short term consequences, I
> > can imagine a case where 10 years later someone is seeking
> > security clearance and this comes back to bite them.
>
> Concur
>
> For the record, I'm still generally in favor of a meeting in
> Beijing.  But I agree with Cullen that answers to these types of
> questions should be extremely clear before a decision to go is
> made and that, if any of the answers are sub-optimal, that the
> IESG should make a formal decision, after reviewing community
> input, etc., as to whether they believe that a satisfactory
> meeting can be held in spite of them.  And I believe we should
> hold any potential meeting site to those standards, i.e., that
> this is not about the PRC.
>

+1, and speaking of other countries, I also thing it is a very  
reasonable requirement that "most of the participants can get a visa  
in a reasonable time". Not sure what the values of most and reasonable  
time are but I would say something like we only meet in countries  
where 95% of the participants can get a visa in under 4 months.

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 05 Oct 2009 11:36:08 -0700

John C Klensin wrote:
> Dave, I disagree, at least slightly, 

The last paragraph of my note covered agendas like yours:

    "If the goal of your effort is to review and change IAOC responsibilities or 
procedures for site selection and event management, then that ought to be 
pursued independently of the China meeting discussion."

> What is to be done?

Respect the goal of the original query.

If you have a different goal, persue it separately.

d/
-- 

   Dave Crocker

---

From: John C Klensin <[email-masked]>
Date: Mon, 05 Oct 2009 14:42:39 -0400

>> key-signing activities, with signed private keys being taken
>> out of the country afterwards, would violate any law or
>> require a license.  I had previously assumed that the answer
>> would be "no", but the answers you have given to this
>> question, the P2PSIP/CA one, and maybe others, leads me to
>> wonder a bit.
> 
> certainly something we have done in the past but if it is not
> legal in the PRC, I could live with a meeting where we did not
> do any PGP key signing. It detracts a bit from the meeting but
> is not in what I consider the mediatory must have core of the
> meeting. Of course this would mean that a group of people that
> did not often travel out of the PRC would be missing a great
> opportunity to sign with a group of people outside of China
> which I view as one of the benefits of having a meeting in
> Beijing.

I am suggesting only that this is another question --perhaps on
a par with some of your other ones and perhaps not-- where we
need to know the answer for planning purposes.  We might not
need to know the answer in order to decide whether to hold a
meeting or not, but would certainly want to know before we
started scheduling.   In principle, I believe that, if there are
other strong reasons for holding a meeting in a particular
place, we might be able to live without holding meetings of one
or two WGs (e.g., by forcing them into interim meetings at some
other time and place), so the issues are not all that different.

> Oops - sorry. I meant to try and say, that most the people I
> had talked to advised me *not* to have any such discussion in
> PRC.

Ack.  Thanks.  Again, just wanted to understand what you were
reporting.

>> Beijing.  But I agree with Cullen that answers to these types
>> of questions should be extremely clear before a decision to
>> go is made and that, if any of the answers are sub-optimal,
>> that the IESG should make a formal decision, after reviewing
>> community input, etc., as to whether they believe that a
>> satisfactory meeting can be held in spite of them.  And I
>> believe we should hold any potential meeting site to those
>> standards, i.e., that this is not about the PRC.
> 
> reasonable requirement that "most of the participants can get
> a visa in a reasonable time". Not sure what the values of most
> and reasonable time are but I would say something like we only
> meet in countries where 95% of the participants can get a visa
> in under 4 months.

FWIW, I believe the PRC meets that requirement.  It is not clear
that the US would if it were not the case that a significant
fraction of our participants are either US citizens, US
permanent residents, or qualify for some sort of visa waiver
program.  If you looked only at how long it takes for someone
who needs a visa to get one, I believe the answer for China
would be well over 95% in under four months and that that answer
for the US would be, at best, unclear.

   john

---

From: Theodore Tso <[email-masked]>
Date: Mon, 5 Oct 2009 15:07:54 -0400

> I will only answer #5 here, since I am not a lawyer (the rest will 

I would hope the IAOC would see fit get formal legal advice on the
various issues which Cullen has raised before green-lighting an IETF
meeting in the PRC.  (Especially since his further research seems to
show that they are indeed may be some real problems!)  Is that a
reasonable expectation?

						- Ted

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 5 Oct 2009 13:20:54 -0600

On Oct 5, 2009, at 11:45 AM, Dave CROCKER wrote:

> become experts in the details of holding a meeting in China.

Well it sounds like we both agree that it is the IAOC job to make sure  
they have answers to the questions I am raising before making a  
decision.

I asked about legalities of discussing crypto a few years ago when  
this China meeting was raised to IESG. I did not get an answer. I  
asked about it around the time of the Stockholm meeting and got no  
answer. I am asking publicly on the IETF list when the topic finally  
got brought to a public list. I think it is a reasonable question.

I'm not asking about if someone stands up at a plenary and asked some  
questions that is totally tangental to the IETF. I am asking about the  
legality of discussions we regularly have to produce the type of  
things that we have put in RFCs. If the IAOC was telling me, "yep, we  
contacted these lawyers in PRC and here is what they told us, we think  
we can run a normal IETF discussion in PRC" then I'd feel like they  
looked at this and it is all fine. I do understand the IAOC is a  
thankless job where arm chair experts complain about everything you do  
on the IETF list. (I'm sort of familiar with a job that is similar to  
that).

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 05 Oct 2009 12:28:59 -0700

Cullen Jennings wrote:
> Well it sounds like we both agree that it is the IAOC job to make sure they
> have answers to the questions I am raising before making a decision.

We are seeing a solid pattern to suggest that U.S. reading skills have declined 
seriously.

I neither expressed nor implied any opinion at all about your questions, except 
that they are out of scope for the query being made by the IAOC and that any 
pursuit of your questions ought to be done *separately*.

d/
-- 

   Dave Crocker

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 5 Oct 2009 14:59:42 -0600

> We are seeing a solid pattern to suggest that U.S. reading skills  

Sorry but I'm Canadian, Eh, so don't blame the US. Besides, as Spencer  
correctly points out, my writing is worse than many ESL people.

> pursuit of your questions ought to be done *separately*.

By "separately" you mean doing something like changing the subject  
line? But on to the serious answer ....

As an IESG member, I was aware the IAOC was considering a meeting in  
China before the IAOC announced it on a public list. I felt that I  
should not discuss it as an individual contributor on a a public list  
until the IAOC made the topic public. To my knowledge this query from  
the IAOC was the first time it had been made public so I brought up  
the issues at the first point in time available. I'm not sure what  
else you would have suggested I do to ask for information that I think  
is important.

The question from the IAOC, as far as I can read it, asks if we are OK  
with having the meeting be canceled for everyone if one person discuss  
various under specified things that includes topics that are illegal  
in China. It seems to me the questions of if our normal discussions  
are illegal or not is very relevant to making that decision.

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Mon, 5 Oct 2009 19:03:11 -0400 (EDT)

On Mon, 5 Oct 2009, Cullen Jennings wrote:

> I asked about legalities of discussing crypto a few years ago when this China 
> meeting was raised to IESG. I did not get an answer. I asked about it around 
> the time of the Stockholm meeting and got no answer. I am asking publicly on 
> the IETF list when the topic finally got brought to a public list. I think it 
> is a reasonable question.

So do I.  While it is certainly the IAOC's job to reserach possible venues 
and select a meeting location, many of us have jobs which require knowing 
the answers to some of the questions you've raised.  For example...

I co-chair a working group which is responsible for a cryptographic
authentication protocol.  If it is not legal to discuss and develop
cryptographic algorithms and protocols in the PRC, or to export the
results of such work, then my working group cannot usefully meet there,
regardless of what the IAOC decides about the IETF as a whole being
able to meet.

I also normally organize PGP key-signing sessions at IETF meetings.
If the operation of a CA or other cryptographic signing service requires a 
license in the PRC, then we may not be able to hold such a session, or it 
may require a special license.

I consider it entirely appropriate for me in my role as a working group 
chair, or Cullen in his role as an AD, to ask that the IAOC obtain answers 
to these questions from competent experts, such as legal counsel familiar 
with PRC law.

Finally, I would note that I am all for appointing people to positions of 
responsibility, putting appropriate checks and appeal and recall 
mechanisms in place, and them letting them go about doing their jobs. 
However, in this instance, the IAOC _asked_ for community input, so it 
seems silly to object to someone providing such input on the grounds that 
they are "doing the IAOC's job for it".

-- Jeff

---

From: Marshall Eubanks <[email-masked]>
Date: Mon, 5 Oct 2009 19:23:28 -0400

On Oct 5, 2009, at 7:03 PM, Jeffrey Hutzelman wrote:

>>> IAOC's job for it.
>> Well it sounds like we both agree that it is the IAOC job to make  
>> sure they have answers to the questions I am raising before making  
>> a decision.
>>
>> answer. I am asking publicly on the IETF list when the topic  
>> finally got brought to a public list. I think it is a reasonable  
>> question.
>
>
> So do I.  While it is certainly the IAOC's job to reserach possible  
> venues and select a meeting location, many of us have jobs which  
> require knowing the answers to some of the questions you've raised.   
> For example...
>
> If the operation of a CA or other cryptographic signing service  
> requires a license in the PRC, then we may not be able to hold such  
> a session, or it may require a special license.
>
> I consider it entirely appropriate for me in my role as a working  
> group chair, or Cullen in his role as an AD, to ask that the IAOC  
> obtain answers to these questions from competent experts, such as  
> legal counsel familiar with PRC law.
>
>
> Finally, I would note that I am all for appointing people to  
> positions of responsibility, putting appropriate checks and appeal  
> and recall mechanisms in place, and them letting them go about doing  
> their jobs. However, in this instance, the IAOC _asked_ for  
> community input, so it seems silly to object to someone providing  
> such input on the grounds that they are "doing the IAOC's job for it".
>

I would just note that no one on the IAOC has objected to this. I, for  
one, find all of this discussion useful and enlightening.

Regards
Marshall

> IAOC mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iaoc
>

---

From: Henk Uijterwaal <[email-masked]>
Date: Tue, 06 Oct 2009 10:49:04 +0200

John,

> making and the reasons for them.

Speaking as myself.  I think we have heard this message and we
are working on improving communications.  We have spent time to
get all outstanding meetings done, we are now working on making
minutes of new meetings more readable for somebody not present
at the meeting.   We also started to explicitly ask the community
about choices we have to make for meetings, for example, Quebec
vs. Vancouver or China or no China.

BTW, we are still looking for a volunteer scribe for our meetings :-)

> of enough substance to be pointed to on that (or any other)

We have a long list with issues that we think should be settled before
we decide to go there or not, and we are working on the document
describing why we decided one way or another.

Henk

-- 
------------------------------------------------------------------------------
Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
RIPE Network Coordination Centre          http://www.xs4all.nl/~henku
P.O.Box 10096          Singel 258         Phone: +31.20.5354414
1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
The Netherlands        The Netherlands    Mobile: +31.6.55861746
------------------------------------------------------------------------------

Belgium: an unsolvable problem, discussed in endless meetings, with no
          hope for a solution, where everybody still lives happily.

---

From: John C Klensin <[email-masked]>
Date: Mon, 05 Oct 2009 13:53:19 -0400

Cullen,

Concur

   john

---

From: Margaret Wasserman <[email-masked]>
Date: Mon, 5 Oct 2009 16:24:25 -0400

While I do think that the IAOC should be aware of the potential legal  
implications of where we hold our meetings, I wonder if we are  
treating China unfairly in this discussion...

On Oct 5, 2009, at 2:30 PM, Cullen Jennings wrote:
> certainly something we have done in the past but if it is not legal  
> in the PRC, I could live with a meeting where we did not do any PGP  
> key signing. It detracts a bit from the meeting but is not in what I  
> would mean that a group of people that did not often travel out of  
> the PRC would be missing a great opportunity to sign with a group of  
> people outside of China which I view as one of the benefits of  
> having a meeting in Beijing.

Do you know if the PGP signing (and taking the keys home) was legal  
when we did it in France?  It is my understanding that there are (or  
were) French laws forbidding the export of crypto.  However, I don't  
remember this being raised as a big concern when we held the IETF in  
Paris.

Did we hire a Swedish lawyer to determine if all of our planned  
activities were legal before going to Stockholm?

Does anyone know what laws there are about public assembly and/or  
public discussion of political issues in Japan?

I realize that there is a lot of concern about going to China, and  
some of it may be justified.  But, we should also be careful that we  
don't end-up holding China to a higher standard than other countries  
that we visit.  If we believe that we should only go to countries  
where a specific set of activities are legal, we should (IMO) itemize  
those activities and seek to determine that they are legal in all of  
our destination countries before we commit to going there.

Perhaps this is something that we could expect our host to help us  
determine?

Margaret

---

From: David Morris <[email-masked]>
Date: Tue, 6 Oct 2009 12:30:57 -0700 (PDT)

To the best of my knowledge, in the countries you mention, there was no 
contractual risk that normal activities of the IETF would result in
arbitrary cancelation of the remainder of the meeting.

On Mon, 5 Oct 2009, Margaret Wasserman wrote:

> implications of where we hold our meetings, I wonder if we are treating China 
> unfairly in this discussion...
>
>> The PGP Key signing is a good question - I have no idea - it's certainly 
>> something we have done in the past but if it is not legal in the PRC, I 
>> could live with a meeting where we did not do any PGP key signing. It 
>> detracts a bit from the meeting but is not in what I consider the mediatory 
>> must have core of the meeting. Of course this would mean that a group of 
>> people that did not often travel out of the PRC would be missing a great 
>> opportunity to sign with a group of people outside of China which I view as 
>> one of the benefits of having a meeting in Beijing.
>
> Do you know if the PGP signing (and taking the keys home) was legal when we 
> did it in France?  It is my understanding that there are (or were) French 
> laws forbidding the export of crypto.  However, I don't remember this being 
> raised as a big concern when we held the IETF in Paris.
>
> Did we hire a Swedish lawyer to determine if all of our planned activities 
> were legal before going to Stockholm?
>
> Does anyone know what laws there are about public assembly and/or public 
> discussion of political issues in Japan?
>
> I realize that there is a lot of concern about going to China, and some of it 
> may be justified.  But, we should also be careful that we don't end-up 
> holding China to a higher standard than other countries that we visit.  If we 
> believe that we should only go to countries where a specific set of 
> activities are legal, we should (IMO) itemize those activities and seek to 
> determine that they are legal in all of our destination countries before we 
> commit to going there.
>
> Perhaps this is something that we could expect our host to help us determine?
>
> Margaret
>
>
>
>

---

From: Henk Uijterwaal <[email-masked]>
Date: Wed, 07 Oct 2009 10:07:14 +0200

(Personal opinion)

>> treating China unfairly in this discussion...

I agree.  So-far, we have always assumed that discussions on crypto
as well as writing, testing and using code during the meeting were
legal in the country.  And if they weren't, we'd assume that the
local policy would not notice.  China is not different in this respect.

>> Perhaps this is something that we could expect our host to help us 

The IAOC is in contact with the host about all the issues raised on
the list (and then some more).

Henk

---

From: Michael StJohns <[email-masked]>
Date: Thu, 08 Oct 2009 19:11:27 -0400

At 04:07 AM 10/7/2009, Henk Uijterwaal wrote:

>>>While I do think that the IAOC should be aware of the potential legal implications of where we hold our meetings, I wonder if we are treating China unfairly in this discussion...
>

 Let's parse your statement a bit closer.

Actually, so far all of our discussions etc have been legal in the countries in which we've met - or at least we've never been told they are unlawful. Or do you have a specific list of countries in which such discussions or development were prohibited by law or contract?    

Unlike you I, and I expect many (most) of us would never assume that "local policy would not notice".  If I were a fiduciary for the IETF I would expect to be sued for failure to exercise due diligence if I took this position and "someone noticed".

If I were told that a specific act or topic of discussion was illegal or could lead to civil or criminal penalties I would have to evaluate whether that specific act or topic were core for the purpose of the meeting or event.  I would  then have to make a decision to either refrain from the act or topic (difficult if it was core to the meeting), or (if responsible for the meeting) move the meeting somewhere else.  I would not assume I could blithely ignore local law.  Hopefully, TPTB are doing this.

For the PRC we've been told (in black and white as part of a legal document - not as anecdotal information) that  a) certain acts and topics of discussion are forbidden by law or contract, b) that the penalties for (any of us collectively) breaking the law or terms of the contract could result in meeting termination in addition to any individual penalties.  To my knowledge, this is unique to our experience. I haven't seen any comments to the contrary in this discussion thread

In the PRC, the certain prohibited acts and topics are acts and topics that have not - to my knowledge - been prohibited either by contract or law at any other venue to which we've been.  The acts may be and some of the topics are certainly core to every IETF meeting we've held prior  to this and probably prior to every meeting we will hold before any possible future PRC meeting.

So no, we're not treating China unfairly in this discussion.  We're not holding China to a higher standard, we're questioning - as we must for due diligence - whether the standard to which they want to hold the IETF is too high or too disjoint from the normal set of standards and practices for IETF meetings.

Mike

---

From: Patrick Suger <[email-masked]>
Date: Fri, 9 Oct 2009 02:45:32 +0200

2009/10/9 Michael StJohns <[email-masked]>

> So no, we're not treating China unfairly in this discussion.  We're not
> holding China to a higher standard, we're questioning - as we must for due
> diligence - whether the standard to which they want to hold the IETF is too
> high or too disjoint from the normal set of standards and practices for IETF
> meetings.

Since the IETF discusses how to make the Internet work better, the only
reason why IETF members could feel worried is that they would intend to
discuss how to build a better working Internet that would be prohibited in
China? Either this means considering splitting the Internet from 1/3 of its
users. Or that the IETF can develop standards that do not take local users'
legitimate and/or legal needs into consideration. Or did I miss something?
What about the legality of a similar case in the USA?

Patrick Suger

---

From: Michael StJohns <[email-masked]>
Date: Thu, 08 Oct 2009 21:48:43 -0400

In propaganda, your statement would probably be considered a black and white fallacy.  In symbolic logic, it would just be a fallacy.

For your statement to be always true, the first clause would have to read

"Since the IETF ONLY discusses how to make the Internet better and nothing else"   and it would also have to imply that "nothing the the IETF discusses to make the Internet better could be considered as any other class of discussion"

Unfortunately, our discussions are not so limited... and I'm pretty sure you know that.    

With respect to the US or for that matter to any of our hosts in the past, show me the contract language, laws, or other indication where things normally discussed or designed at an IETF would be considered illegal.  I know of none and I've been around for most of the meetings going back 23 years.

At 08:45 PM 10/8/2009, Patrick Suger wrote:

>2009/10/9 Michael StJohns <<mailto:[email-masked]>[email-masked]>
>Since the IETF discusses how to make the Internet work better, the only reason why IETF members could feel worried is that they would intend to discuss how to build a better working Internet that would be prohibited in China? Either this means considering splitting the Internet from 1/3 of its users. Or that the IETF can develop standards that do not take local users' legitimate and/or legal needs into consideration. Or did I miss something? What about the legality of a similar case in the USA? 
>
>Patrick Suger

---

From: Ole Jacobsen <[email-masked]>
Date: Thu, 8 Oct 2009 18:55:34 -0700 (PDT)

I think there is general agreement that no "normal" IETF topic should 
have to be off limits for any IETF meeting in any location. We can
argue about the finer details of what "normal" implies and we 
certainly need to establish that such speech would not get us in 
trouble.

All that is happening thanks in part to the dicussion that has taken
place on this list.

Ole

Ole J. Jacobsen

---

From: Michael StJohns <[email-masked]>
Date: Thu, 08 Oct 2009 23:04:04 -0400

>certainly need to establish that such speech would not get us in 

To rephrase in a way that you may not agree.

"We certainly need to establish that the environment of the site, host or country would not cause us or tend to cause us to modify our behavior away from that common to normal IETF meetings."

It really isn't about whether or not we might or might not get in trouble, its whether or not the plain language of the laws and contracts describe an environment which is incompatible with the IETF norm.

---

From: Ole Jacobsen <[email-masked]>
Date: Thu, 8 Oct 2009 20:12:22 -0700 (PDT)

On Thu, 8 Oct 2009, Michael StJohns wrote:

> "We certainly need to establish that the environment of the site, 
> host or country would not cause us or tend to cause us to modify our 
> behavior away from that common to normal IETF meetings."
> 
> It really isn't about whether or not we might or might not get in 
> trouble, its whether or not the plain language of the laws and 
> contracts describe an environment which is incompatible with the 
> IETF norm.
> 

I agree. There might be some issues in some countries about what is 
acceptable behavious OUTSIDE of the meeting room, but we should
certainly be able to conduct business as usual in our meetings
themselves.

(Ignoring for the time being any discussion of "plain language" and
various readings of such).

Ole

---

From: Patrick Suger <[email-masked]>
Date: Fri, 9 Oct 2009 19:04:43 +0200

>  In propaganda, your statement would probably be considered a black and
> white fallacy.  In symbolic logic, it would just be a fallacy.
>
> "Since the IETF ONLY discusses how to make the Internet better and nothing
> else"   and it would also have to imply that "nothing the the IETF discusses
> to make the Internet better could be considered as any other class of
> discussion"
>

I never thought it could be understood differently: anything different would
be rude for ISOC. So, what you personnalité want is to be sure that whatever
off topic you may want to discuss it will be permitted by the local law?
This sounds like invading foreign countries and saying, "hey! guys, I am the
IETF, I am your law now.". In fact you may genuinely think "youcann" ...

But, what surprises me is that you seems to consider that discussing any non
defined off topic matter is something the US law and order permit you. You
surely pull my leg.

---

From: Margaret Wasserman <[email-masked]>
Date: Thu, 8 Oct 2009 13:05:15 -0400

Hi David,

On Oct 6, 2009, at 3:30 PM, David Morris wrote:

>
> To the best of my knowledge, in the countries you mention, there was  
> no contractual risk that normal activities of the IETF would result in

That is a good point.  The particular contractual agreement we are  
being asked to make in this case is different from other cases, and I  
do find it problematic.  I am especially concerned about the fact that  
the entire IETF meeting could be cancelled due to the bad contact of  
one or a few participants.  Given the open nature of IETF  
participation, those "IETF participants" wouldn't even need to be  
members of the IETF community.  They could just be people who showed  
up to cause trouble...

Margaret

---

From: Theodore Tso <[email-masked]>
Date: Fri, 9 Oct 2009 16:21:25 -0400

> IETF, I am your law now.". In fact you may genuinely think "youcann" ...

I don't think anyone is actually saying this.  What folks are in fact
saying is that out of _respect_ of Chinese local law, which apparently
makes illegal many things which normally would be discussed at IETF
metings, maybe it wouldn't be a good idea to hold an IETF meeting in
China.  The counterargument seems to be, naaah, don't worry, even
though there is a contract that says these sorts of things aren't
allowed, and if they happen a hotel employee can shut down the entire
meeting --- they won't be enforced and don't worry your pretty little
heads about such things.

So if China wants to make various things illegal to discuss, that's
fine.  We should respect that.  It doesn't mean that we should hold an
IETF meeting there, though.

						- Ted

---

From: Ole Jacobsen <[email-masked]>
Date: Fri, 9 Oct 2009 13:44:17 -0700 (PDT)

On Fri, 9 Oct 2009, Theodore Tso wrote:

> 
> I don't think anyone is actually saying this.  What folks are in 
> fact saying is that out of _respect_ of Chinese local law, which 
> apparently makes illegal many things which normally would be 
> discussed at IETF metings, maybe it wouldn't be a good idea to hold 
> an IETF meeting in China. 

I don't think that it is "apparent" that "many things which would 
normally be discussed at IETF meetings" would be illegal to discuss
in China, but, yes, that is the core of the argument here.

> The counterargument seems to be, naaah, don't worry, even though 
> there is a contract that says these sorts of things aren't allowed, 
> and if they happen a hotel employee can shut down the entire meeting 
> --- they won't be enforced and don't worry your pretty little heads 
> about such things.

The counterargument is a little more complex than that, but it's 
fairly obvious that having a hotel employee determine what can and 
cannot be said is not an acceptable solution, so that's being
worked on.

> IETF meeting there, though.

Right, but the crucial word in your statement is "if" and whether 
"various things" fall into the category of "topics normally discussed
at an IETF meeting." Again, this is being worked on.

Ole

---

From: Patrick Suger <[email-masked]>
Date: Fri, 9 Oct 2009 23:33:39 +0200

Theodore,
you will excuse me. I am afraid this discussion is not real. I am only
interested in the Internet working better, all over the place, including in
China and in the USA.

1) this lasting debate decreases the credibility of the IETF to be able to
build such a network, at least in its Chinese part. This is worrying duing
the IDNABIS last call, no one seems to care about.No more than the IETF
seems to care about a proper support of the orthotypography of many
languages.

2) it also shows the lack of international experience of IETF. This is
embarassing since it is supposed to keep developping the international
network. It also seems that there is a particular lack of coordination with
its sponsors. What is worrying since the IETF must keep being funded. Look,
a few basic questions need to be raised:
 (a) IETF is an affiliate of ISOC (b) ISOC has an affiliate in China (c) if
IETF may discuss off topic issues anywhere in the world that conflict with
the Chinese law, this embarasses ISOC China the same as if was discuss in
Beijing. (d) what is the position of the ISOC China Chair? What is the list
of IETF topics he thinks in violation with the Chinese rules (for example
the "WhoIs" related issues are in violation of most of the privacy laws in
the world. (e) upon ISOC China's position, what is the position of the ISOC
BoD? (f) has the ISOC Chair and the IETF Chair considered inviting the
Chinese Minister of Datacommunications? (g) many hurt Chinese engineers
participate to the IETF and very politely do not react: have them been
invited to comment? (h) has a Chinese Embassy been called upon and asked
what IETF topics might be conflicting? etc. etc.

Sorry for being so basic.
But I am very embarassed for the stability of the network if such questions
are so much discussed.
Best

Patrick Suger

2009/10/9 Theodore Tso <[email-masked]>

---

From: Ole Jacobsen <[email-masked]>
Date: Fri, 9 Oct 2009 14:56:34 -0700 (PDT)

>  (a) IETF is an affiliate of ISOC

True, ISOC is the "umbrella organization" for the IETF proving legal 
incorporation and financial support.

 (b) ISOC has an affiliate in China

Not true. The Internet Society of China is not affiliated with ISOC. 
Unless you mean a certain chapter on a certain island, but let's not
have that debate here, OK?

> (c) if IETF may discuss off topic issues anywhere in the world that 
> conflict with the Chinese law, this embarasses ISOC China the same 
> as if was discuss in Beijing.

> (d) what is the position of the ISOC China Chair? What is the list 
> of IETF topics he thinks in violation with the Chinese rules (for 
> example the "WhoIs" related issues are in violation of most of the 
> privacy laws in the world.

The Internet Society of China is not the host for the proposed meeting 
and their position on what might or might not violate Chinese rules
is not any more or less relevant than any other "expert opinion."

> (e) upon ISOC China's position, what is the position of the ISOC 
> BoD? (f) has the ISOC Chair and the IETF Chair considered inviting 
> the Chinese Minister of Datacommunications?

It would be up to the HOST to invite high-ranking officials to the 
meeting, this isn't really something the IETF Chair or the ISOC BoT 
gets involved in typically. We don't really (with a few minor 
exceptions) organize conferences and invite speakers.

> (g) many hurt Chinese engineers participate to the IETF and very 
> politely do not react: have them been invited to comment?

Everyone on the IETF mailing list has been invited to comment and that 
certainly includes Chinese engineers.

> (h) has a Chinese Embassy been called upon and asked what IETF 
> topics might be conflicting? etc. etc.

As has been pointed out by others, you cannot typically ask a 
government offical or a department for a list of "legal topics".
This isn't likely going to get us anywhere useful, ignoring the
type of delays one can typically expect if such a question is
even acknowledged or answered.

> 
> Sorry for being so basic. But I am very embarassed for the stability 
> of the network if such questions are so much discussed.
>
> Best
> 
> Patrick Suger
> 

Don't be embarrassed! IETF participants are proud of the fact that we 
get to debate any topic for any amount of time without restrictions,
moderation, courtesy, and so on. It's not always the most tidy debate
to watch, but it is very much part of our culture.

Ole

---

From: Theodore Tso <[email-masked]>
Date: Fri, 9 Oct 2009 19:03:26 -0400

> in China, but, yes, that is the core of the argument here.

Well, one of the big problems with China is that given that exactly
how its local laws will be applied isn't crisply defined, and a huge
amount of discretion can be applied by a mandarins (bureaucrats) or in
the case of the contract, by a hotel employee.  Worse yet, its laws
are very vague (where "insulting" Chinese culture can be enough to get
a blog to get "haromonized" or "censored") --- and by the wording of
the hotel contract, enough to get us thrown out on our ear.  And given
that "human rights" is a very expansive term, and that "privacy", such
sa what might be described by the Geopriv wg could very will infringe
on the verboten "human rights" restriction, it's very hard for
*anyone* to give any guarantees.

Which is why I used the word "apparently" --- not in the sense of
something being "apparent", but in the sense of "maybe, we're not
sure, and by keeping things vague the Chinese government is probably
hoping that people will self-censor themselves because of the inherent
vagueness of words such as 'show any disrespect or defamation against
the Government of the People's Republic of China'".

    	       	      	       		   - Ted

---

From: Richard Barnes <[email-masked]>
Date: Sat, 10 Oct 2009 01:53:04 +0100

> certainly includes Chinese engineers.

Indeed, I wonder if there is something to be learned from the 
conspicuous absence of comment by all but a very few Chinese participants.

--Richard

---

From: Cullen Jennings <[email-masked]>
Date: Sun, 11 Oct 2009 15:31:42 -0600

Dear IAOC members,

I asked what I thought were some fairly reasonable questions on the  
legalities of running a meeting as normal IETF meeting in PRC - I  
carefully stayed away from social policy issues about if this was a  
good place to have a meeting or not.

I was wondering if you plan to answer any of these or not? If you  
don't plan to answer them, I'd rather know that then just have to  
assume it. If you do plan but on answers any of them, I'd love to find  
out any answers you currently know and also find out which question  
you plan not to answer, and to find out the timelines of when you  
might have an answer for questions you can't currently answer.  I  
don't have any problem with you telling me some of these questions are  
TSTA (too stupid to answer).

Thanks, Cullen

On Sep 23, 2009, at 9:45 PM, Cullen Jennings wrote:

> Geopriv WG deals with protecting users' location privacy. The  
> policies of more than one country have come up in geopriv meetings  
> in very derogatory terms. There have been very derogatory comments  
> made by people about the US's wiretap policy. Unless someone can  
> point me at specifics of what is or is not OK, I would find this  
> very concerning. We also regularly discuss issues around Taiwan/ 
> China, cryptography, wiretap, DNS root server location, reverse  
> engineering, and so on.  Clearly most the people involved with IETF  
> would never want to break the laws of the country they are visiting  
> but the question is do we actually understand the laws and what  
> impact do they have on our technical work? To help us make informed  
> decision about whether these terms are issues or not:
>
> 1) What is political speech in China? And can we explain that to  
> IETF participants well enough that they know what is OK and what is  
> not.
>
> 3) Are there any rules around discussion, publication, or export of  
> of cryptography algorithms and technology? publishing weaknesses of  
> clients) that they helped develop and include strong cryptography.  
> Do they need permission to use these in China?
>
> participants regularly treat Taiwan and PRC as two different  
> countries and currently recognize both of them as separate countries  
> in their own right. I'd actually venture a guess that there is  
> strong IETF consensus they should be treated this way.  Could any  
> discussions like this be viewed as political speech? What are the  
> rules on this?
>
> This would be about the right timing for running P2PSIP code, but  
> that requires us to to run a local CA. Is any special permission  
> needed to run a CA in China?
>
> advancement in general and in particular on getting around any  
> firewalls China runs? [Seriously, you know someone will propose this  
> BOF, the questions is could we run it or not?]
>
> one day change fee, would the IETF be responsible for the hotel's  
> loss of revenue for the Wednesday through Friday nights?
>
> prudent to me to make sure that each participant agreed to this.  
> Will you be asking each participant to sign an agreement agreeing to  
> these terms?
>
> I'm trying to get to the bottom about what is legal and what is not  
> in the PRC.  Ignorance is not an excuse for the law in any country  
> and when I don't know if something is legal or not, I don't do it.  
> Right now I am looking for input from knowledgeable people on these  
> questions. I imagine the IAOC has looked into many of these and  
> would appreciate understanding what you have found.
>
> Thanks, Cullen
>

---

From: Dave CROCKER <[email-masked]>
Date: Sun, 11 Oct 2009 15:31:15 -0700

Cullen Jennings wrote:
>  I 
> carefully stayed away from social policy issues 

>> 1) What is political speech in China? 
...
...
...
 >>      Could any discussions like

This is your version of staying away from social policy?

If it is, I suspect that what is first needed are lessons in the nature of 
social and political policy.

I suspect you -- and most of the rest of us -- can't give a definitive answer to 
these questions for any other venue the IETF has ever met in.  As a small 
example, I doubt many of us have a meaningful clue about the detailed impact of 
the US's Patriot Act as it changed basic freedoms's for citizens, nevermind 
non-citizens.

Really, Cullen, it's difficult to overemphasize just how basic a mistake it is 
for us to pursue your questions.

d/
-- 

   Dave Crocker

---

From: Michael StJohns <[email-masked]>
Date: Sun, 11 Oct 2009 19:28:28 -0400

>remember this being raised as a big concern when we held the IETF in  

http://www.theregister.co.uk/1999/01/15/france_to_end_severe_encryption/

http://rechten.uvt.nl/koops/cryptolaw/CLS2.HTM

I do know that there were discussions about holding meetings in France prior to 1999 that

---

From: "Scott Lawrence" <[email-masked]>
Date: Mon, 12 Oct 2009 12:36:26 -0400

> for us to pursue your questions.

I don't think it's helpful for you to repeatedly try to shut down
attempts to get answers to questions that many people on the list have
repeatedly said that they think are relevant and important.

I don't think that Cullen has asked for opinions from anyone on whether
the rules in China are right or wrong - that would certainly be
discussing social policy.  What he has asked for is discussion of how
they will impact the normal functioning of an IETF meeting, and I for
one agree that the answers are important in that current context.

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 12 Oct 2009 09:44:58 -0700

> repeatedly said that they think are relevant and important.

Sure it is.  It is specifically helpful.

The questions constitute a denial of service attack on IETF operations.

In terms of principle, I and others have pointed out the basic flaw in asking 
these types of question.  The mere fact of having some questions does not 
justify asking them and most certainly does not justify requiring that they be 
answered.

In terms of pragmatics, you are missing the fact that there is an infinite 
number of questions that one can ask and that it is not feasible to answer them, 
nevermind require that they be answered.

In terms of management structure, these questions alter the historical 
separation of labor that has existed in the IETF.  Although it can be entirely 
reasonable to make changes to management structure, this needs to be pursued as 
a matter of policy and not ad hoc -- and by the way nationally biased -- 
opportunistic curiosity.

Hence, the implications of changing policy need to be addressed explicitly, with 
an eye for later, potentially undesirable effects.

d/

-- 

   Dave Crocker

---

From: Melinda Shore <[email-masked]>
Date: Mon, 12 Oct 2009 08:55:25 -0800

> The questions constitute a denial of service attack on IETF  

I really don't think so.  I don't even think there's
a denial of service effect, regardless of intent.  The
community was asked for feedback about meeting in the
PRC given what appears to be some pretty problematic
text in the hotel contract.  I don't think that questions
about what that text actually might mean in practice are
inappropriate or disruptive.  To the contrary - I think
it's quite clear from the discussion that there's not
a common understanding of the contract terms, or, for that
matter, even a common understanding of the questions
that were asked in the first place.

Personally, I don't know what I think although I'm
leaning towards thinking it's a bad idea if a hotel
employee can shut the meeting down if they don't
like the content or what some random attendee says
in the hallway.  But - and this is a big but - I
don't know if I'm understanding the contract correctly.
And because of my own lack of clarity around the
terms of the contract I'm grateful for Cullen's questions,
which I think will help crystallize much of what's
under discussion.

Melinda

---

From: John C Klensin <[email-masked]>
Date: Mon, 12 Oct 2009 14:44:53 -0400

+1

I think issues have been raised that should not be relevant and
that should be considered, if at all, as part of some other
question or issue.  But most of the recent ones, including
Cullen's questions, seem very much in line with trying to
understand the question the IAOC decided to ask for as to give
an informed answer to it.

    john

---

From: Richard Barnes <[email-masked]>
Date: Mon, 12 Oct 2009 17:00:42 -0400

+1

Cullen is not inquiring after social policy, he's asking what the 
practical constraints are likely to be if there is a meeting in China. 
This is a sensible question, worthy of a thoughtful, well-researched 
response.

 >> the US's Patriot Act as it changed basic freedoms's for citizens, 
nevermind

The question isn't whether someone on this list has a definitive answer 
-- or anyone, really.  The request was for appropriate due diligence to 
be done to estimate some parameters that are right now very uncertain. 
One could perform a similar analysis for other venues, but in most 
places where the IETF has met, the level of initial uncertainty has been 
much lower due to the relative clarity of precedent in constitutional, 
legislative, and judicial terms.

(P.S.: Could we make a corollary to Godwin's Law for the PATRIOT Act?)

--Richard

---

From: Richard Barnes <[email-masked]>
Date: Mon, 12 Oct 2009 17:04:48 -0400

Hi Tian,

I think the question here is what makes for a "politically sensitive
discussion".  In places where IETF meetings have historically been held, 
there has been a lot of distance between "technical topics" and 
"political topics".  In the US and much of Europe, for example, 
discussions of techniques for avoiding firewalls or anonymizing traffic 
are largely considered technical, not political.  (Although people might 
have political reasons for discussing these topics.)

The concern is that in the Chinese context, the sets of technical and 
political topics could be closer, if not overlapping -- that some 
technical topics might not be overtly political, but might be close 
enough to cause trouble.

--Richard

jiangt wrote:
> Dear Richard and Ole,
> 
> I'm an engineer from China.  I like to check IETF mailing list and
> try to keep up with the development trend of IETF. I think that
> politically sensitive discussions possiblely bring troubles to the
> meeting, if any.  But I do not know why IETF engineers worry about 
> someone to make a political speech in a **technical** meeting and I
> want to know who plan to make such a speech?  BTW, I'm not interested
> in such a speech when I attend IETF meeting, how about U?
> 
> Tian
> 
> -----邮件原件----- 发件人: [email-masked]
> [mailto:[email-masked]] 代表 Richard Barnes 发送时间: 2009年10月10日
> 8:53 收件人: Ole Jacobsen 抄送: Theodore Tso; Henk Uijterwaal;
> IETF-Discussion list 主题: Re: Legality of IETF meetings in PRC. Was:
> Re: Request for communityguidance on issue concerning a future
> meeting of the IETF
> 
>> Everyone on the IETF mailing list has been invited to comment and
>> that certainly includes Chinese engineers.
> 
> --Richard _______________________________________________ Ietf
> mailing list [email-masked] https://www.ietf.org/mailman/listinfo/ietf
> 
> 
>

---

From: Ole Jacobsen <[email-masked]>
Date: Mon, 12 Oct 2009 14:47:50 -0700 (PDT)

You said:

"In the US and much of Europe, for example, discussions of techniques 
 for avoiding firewalls or anonymizing traffic are largely considered 
 technical, not political. (Although people might have political 
 reasons for discussing these topics.)

 The concern is that in the Chinese context, the sets of technical and 
 political topics could be closer, if not overlapping -- that some 
 technical topics might not be overtly political, but might be close 
 enough to cause trouble."

This is only my PERSONAL opinion and does not constitute legal or 
international advice etc, but:

Discussion of the topics you cite in your example would be perfectly 
fine and not cause any "trouble". As I've said previously, our 
proposed hosts are long-standing contributors and members of the IETF 
community. They know "our ways" and if they seriously believed that 
we'd be walking into a danger zone by having normal IETF topics on the 
agenda they would not have invited us.

In due course, the IAOC will be making a statement on our decisions
about this meeting. As Ray said, this is expected to occur before
IETF 76. Until then, I am going to try to limit posting on this topic
since I'm already ranking too high on the Narten score :-)

Feel free to ask me about IETF 76 logistics, particularly on the 
[email-masked] list.

Cheers,

Ole

Ole J. Jacobsen

---

From: Theodore Tso <[email-masked]>
Date: Mon, 12 Oct 2009 18:02:34 -0400

On Mon, Oct 12, 2009 at 09:44:58AM -0700, Dave CROCKER wrote:
> In terms of principle, I and others have pointed out the basic flaw in 
> asking these types of question.  The mere fact of having some questions 
> does not justify asking them and most certainly does not justify 
> requiring that they be answered.
>
> In terms of pragmatics, you are missing the fact that there is an 
> infinite number of questions that one can ask and that it is not feasible 
> to answer them, nevermind require that they be answered.

Historically, the general culture of the IETF is that if people have a
good question, it's always in scope to raise it.  After all, as an
engineering organization, our goal is protocols that _work_, and not
just following "Policies and Procedures".  In fact, I'd like to think
that part of the IETF culture which makes things different with say,
ISO.  With ISO, even if the protocol is fatally flawed, if it's in
wrong part of the process, they'll go ahead and approve the standard
just because the right number of national bodies had voted on it.

With the IETF, even at last call, if someone can raise a valid
technical objection that hasn't been previously considered, the IESG
is supposed to consider that objection.  If they don't, that can be a
valid matter to appeal.  So it seems kind of out of the IETF culture
to say, "this question is shouldn't be answered" because it didn't
come from the wrong part of the structure.  That's like saying that a
Management AD can't raise a question about security because they
aren't from the Security Area.  It's not considered a "denial of
service attack".  It's considered a valid issue that should be considered.

Ultimately, of course, there are checks and balances to make sure it's
not a question that has already been asked and answered, and whether
or not the question is valid or not.  But we generally don't say, "la
la la la la --- it's not even right to ask the question because you're
not from the right area".

						- Ted

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 12 Oct 2009 17:13:51 -0600

On Oct 7, 2009, at 2:07 AM, Henk Uijterwaal wrote:

> local policy would not notice.

Henk, just clarify question. I assume you meant "police" not "policy"  
in the sentence above? Is that correct.

---

From: Henk Uijterwaal <[email-masked]>
Date: Tue, 13 Oct 2009 06:44:12 +0200

Cullen Jennings wrote:
> Henk, just clarify question. I assume you meant "police" not "policy" in 
> the sentence above? Is that correct.

That is correct.

Henk